package com.cim.idm.mwmsextend.webservice.service;
import javax.xml.rpc.holders.StringHolder;
import java.io.Serializable;


public class SapWsdlResquestDto implements Serializable {

    /**
     * Function,处理不同的业务
     */
    private String IV_FUNC_NAME;

    /**
     * 外部系统Transation ID,唯一码,如果重复,SAP拒收
     */
    private String IV_TID_EXT;

    /**
     * 外部系统KEY ID,以便两条对帐
     */
    private String IV_KID_EXT;

    /**
     * Request 的JSON串，外部系统传入
     */
    private String IV_REQUEST;

    private String IV_ZSYSNAM;

    public String getIV_FUNC_NAME() {
        return IV_FUNC_NAME;
    }

    public void setIV_FUNC_NAME(String IV_FUNC_NAME) {
        this.IV_FUNC_NAME = IV_FUNC_NAME;
    }

    public String getIV_TID_EXT() {
        return IV_TID_EXT;
    }

    public void setIV_TID_EXT(String IV_TID_EXT) {
        this.IV_TID_EXT = IV_TID_EXT;
    }

    public String getIV_KID_EXT() {
        return IV_KID_EXT;
    }

    public void setIV_KID_EXT(String IV_KID_EXT) {
        this.IV_KID_EXT = IV_KID_EXT;
    }

    public String getIV_REQUEST() {
        return IV_REQUEST;
    }

    public void setIV_REQUEST(String IV_REQUEST) {
        this.IV_REQUEST = IV_REQUEST;
    }

    public String getIV_ZSYSNAM() {
        return IV_ZSYSNAM;
    }

    public void setIV_ZSYSNAM(String IV_ZSYSNAM) {
        this.IV_ZSYSNAM = IV_ZSYSNAM;
    }
}